Camera-view and camera-core dependency

40 views
Skip to first unread message

Android CameraX Discussion Group

unread,
Mar 24, 2021, 9:08:34 PMMar 24
to Android CameraX Discussion Group
Hello CameraX Developers,

Going forward if you are using 1.0.0-alpha23+ of camera-view, gradle will be pinned to an RC version of camera-core (currently 1.0.0-rc03). If you prefer using 1.1.0-alpha of camera-core, you can manually declare your version in your build configuration.

Camera-core 1.1.0-alpha02 contains an issue which may cause a RuntimeExecption on devices like Samsung Note10+ and Sony Xperia 1 ll. You may receive errors such as: java.lang.RuntimeException: Error retrieving camcorder profile params. This issue has been fixed in camera-core 1.1.0-alpha03. Using camera-view 1.0.0-alpha22 is discouraged as it has a camera-core 1.1.0-alpha02 gradle dependency which overrides the RC dependency in the app configuration.

Julie on behalf of the CameraX Development team
Reply all
Reply to author
Forward
0 new messages